<div class="row" ng-controller="ConfiguracionOpcionController">
  <div class="col-md-12" ng-if="isLoading">
  	<loading></loading>
  </div>
  <div class="col-md-12" ng-if="!isLoading">
  	<span class="label label-info">Nota:</span>   Para guardar cambios de click en el botón guardar.
	<hr style="margin-bottom: 10px;margin-top: 10px;">
	<div ui-tree data-drag-enabled="false">
      <ol ui-tree-nodes="" ng-model="opciones">
        <li ng-repeat="op in opciones" ui-tree-node>
          	<div class="tree-node">
                <div class="pull-left tree-handle">
                  <i class="fa fa-{{op.icono}}"></i>
                </div>
                <div class="tree-node-content">
                 	<a class="btn"><i class="fa fa-angle-downh"></i></a>
                	<strong>{{op.nombre}} <span ng-if="op.subopciones[0].url == 'admin.container.lista_operador'">(Operadores)</span><span ng-if="op.subopciones[0].url == 'admin.container.lista_cliente'">(Clientes)</span></strong>
                </div>
          	</div>
          	<ol ui-tree-nodes="" ng-model="op.subopciones">
                <li ng-repeat="sub in op.subopciones" ui-tree-node>
                  <div class="tree-node" style="background-color: white">
                    <div class="pull-left tree-handle" style="background-color: white">
                      <i class="fa fa-minus"></i>
                    </div>
                    <div class="tree-node-content">
                     	<a class="btn"><i class="fa fa-angle-downh"></i></a>
                    	{{sub.nombre}}
	                    <div class="pull-right mr-20 mt-5">
	                    	<div class="onoffswitch primary inline-block">
			                    <input type="checkbox" name="onoffswitch" class="onoffswitch-checkbox" ng-click="loadData()" ng-model="sub.enable" id="switch{{sub.id}}" checked="">
			                    <label class="onoffswitch-label" for="switch{{sub.id}}">
			                      <span class="onoffswitch-inner"></span>
			                      <span class="onoffswitch-switch"></span>
			                    </label>
			                </div>
	                    </div>
                    </div>
                  </div>
                </li>
          	</ol>
        </li>
      </ol>
    </div>
    <hr style="margin-bottom: 10px;margin-top: 10px;">
    <div class="text-center">
    	<button ng-if="!httpRequest" class="btn btn-border btn-rounded-10 btn-primary" ng-disabled="!(subopciones_cambiadas.length > 0)" ng-click="saveOpcion()"><i class="fa fa-save"></i> Guardar Cambios</button>
      <button-spin ng-if="httpRequest"></button-spin>
    </div>
  </div>
</div>